pr29_strerror(3)

NAME
pr29_strerror - API function

SYNOPSIS
#include <pr29.h>

const char * pr29_strerror(Pr29_rc rc);

ARGUMENTS

Pr29_rc rc
    an Pr29_rc return code.

DESCRIPTION
Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

PR29_SUCCESS
Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes.

PR29_PROBLEM
A problem sequence was encountered.

PR29_STRINGPREP_ERROR
The character set conversion failed (only for pr29_8() and pr29_8z()).

RETURN VALUE
Returns a pointer to a statically allocated string containing a description of the error with the return code rc.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.